library(stockassessment)
setwd("run")
load("data.RData")
conf<-loadConf(dat,"../conf/model.cfg", patch=TRUE)
par<-defpar(dat,conf)
#par$logSdLogN<-c(0,log(0.0001))
par$logSdLogN<-c(0,log(0.01))
fit<-sam.fit(dat,conf,par, map=list(logSdLogN=factor(c(1,NA))))
if(fit$opt$convergence!=0) stop("Model did not converge.")
save(fit, file="model.RData")
